package com.app.simplitend.caregiverdashboard.activities;

import androidx.appcompat.app.AppCompatActivity;

import android.content.Context;
import android.content.res.Configuration;
import android.os.Bundle;

import com.app.simplitend.R;
import com.app.simplitend.databinding.ChangePinFragmentBinding;

public class ChangePinActivity extends AppCompatActivity {

    private ChangePinFragmentBinding binding;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        binding = ChangePinFragmentBinding.inflate(getLayoutInflater());
        super.onCreate(savedInstanceState);
        setContentView(binding.getRoot());

        clickEvents();
    }

    @Override
    protected void attachBaseContext(Context newBase) {
        final Configuration configuration = new Configuration(newBase.getResources().getConfiguration());
        configuration.fontScale = Math.min(configuration.fontScale, 1.1f);
        applyOverrideConfiguration(configuration);
        super.attachBaseContext(newBase);
    }

    private void clickEvents() {
        binding.backBtn.setOnClickListener(view -> onBackPressed());
    }
}